#!/bin/sh
##
## Create the Python virtual environment required to run the forecasts.
##

VENV_DIR="venv"
PY_INTERP="python3"
REQS="requirements.txt"

if ! which virtualenv > /dev/null 2>&1; then
    echo "ERROR: virtualenv not found."
    exit 2
fi

if ! which "${PY_INTERP}" > /dev/null 2>&1; then
    echo "ERROR: Python interpreter ${PY_INTERP} not found."
    exit 2
fi

virtualenv -p "${PY_INTERP}" "${VENV_DIR}"
. "${VENV_DIR}/bin/activate"
pip install -r "${REQS}"
deactivate
